バージョン選択

フォーラム

メニュー

オンライン状況

136 人のユーザが現在オンラインです。 (122 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 136
もっと...

サイト内検索

プラグイン > 開発について > プラグインの再インストールについて

開発について

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
ゲスト
投稿日時: 2023/7/18 18:57
対応状況: −−−
プラグインの再インストールについて
▼テンプレート
[EC-CUBE]4.0.5
[レンタルサーバ]AWS  EC2
[OS]Ubuntu 20.04
[PHP]7.4

諸事情によりインストール済みのプラグインを再インストールし、一切手を加えていない状態のプラグインファイルを取得したいと考えております。

そこで、https://xoops.ec-cube.net/modules/newbb/viewtopic.php?topic_id=26064&forum=11から
$ php bin/console eccube:plugin:uninstall --code=xxx(プラグイン名)
としてみたところ、

// Clearing the cache for the dev environment with debug true
[OK] Cache for the "dev" environment (debug=true) was successfully cleared.
[OK] Uninstalled.

と表示されました。

アンインストールが完了したのかと思ったのですが、プラグインのファイルは以前と変わらず残っていますし、
$ php bin/console eccube:plugin:install --code=xxx
としてみてもインストールできませんでした。

プラグインを再インストールする方法と、
uninstallに失敗した理由を教えていただけると幸いです。

よろしくお願いします。
mcontact
投稿日時: 2023/7/19 8:59
対応状況: −−−
登録日: 2022/1/22
居住地:
投稿: 1351
Re: プラグインの再インストールについて
> $ php bin/console eccube:plugin:uninstall --code=xxx(プラグイン名)
> アンインストールが完了したのかと思ったのですが、プラグインのファイルは以前と変わらず残っていますし、

bin/console eccube:plugin:uninstall --code=xxx(プラグイン名)では、プラグインのファイル群は削除されません。
削除も行う場合は、「bin/console eccube:plugin:uninstall --code=プラグインコード --uninstall-force=true」です。

> $ php bin/console eccube:plugin:install --code=xxx
> としてみてもインストールできませんでした。
何らかのログが出力されたと思います。
出力されたログおよび「var/log/prod/site-yyyy-mm-dd.log」を確認できますか?


----------------
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
EC-CUBEインテグレートパートナー【ゴールド】ランク
M&I Works
URL: https://miworks.biz/
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

ゲスト
投稿日時: 2023/7/19 9:52
対応状況: −−−
Re: プラグインの再インストールについて
ご回答いただきありがとうございます。

ログには、
「ERROR [app]<warning>Deprecation warning: require.ec-cube/Amplitude40 is invalid, it should not contain uppercase characters. Please use ec-cube/amplitude40 instead. Make sure you fix this as composer 2.0 wil error.</warning>」
などといった長文のエラーが出ました。

また、2023年7月18日に操作しましたが、「var/log/prod/site-2023-07-18.log」というファイルは作られていませんでした。

また、「bin/console eccube:plugin:uninstall --code=プラグインコード --uninstall-force=true」についても後に実行してみましたが、
「[ERROR] Plugin`xxx` is not installed.」というエラーが表示されました。
mcontact
投稿日時: 2023/7/19 16:30
対応状況: −−−
登録日: 2022/1/22
居住地:
投稿: 1351
Re: プラグインの再インストールについて
> 「ERROR [app]<warning>Deprecation warning: require.ec-cube/Amplitude40 is invalid, it should not contain uppercase characters. Please use ec-cube/amplitude40 instead. Make sure you fix this as composer 2.0 wil error.</warning>」
などといった長文のエラーが出ました。

何らかのカスタマイズを行いましたか?
また、長文だから意味が解らないしEC-CUBE開発コミュニティに質問すればいいやではなくエラー内容を読むなり翻訳するなりしてエラーの意味を理解しないとEC-CUBEのカスタマイズ等は難しいと思いますよ。

> また、「bin/console eccube:plugin:uninstall --code=プラグインコード --uninstall-force=true」についても後に実行してみましたが、「[ERROR] Plugin`xxx` is not installed.」というエラーが表示されました。

プラグインがインストールされていない状態でコマンド実行していませんか?
プラグインがインストールされていない状態で、アンインストールコマンドを実行しても、アンインストールはされませんよ。



----------------
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
EC-CUBEインテグレートパートナー【ゴールド】ランク
M&I Works
URL: https://miworks.biz/
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBE公式 Amazon Payプラグイン

統計情報

総メンバー数は90,174名です
総投稿数は110,324件です

投稿数ランキング

1
seasoft
7369
2
468
3217
3
AMUAMU
2712
4
nanasess
2314
5
umebius
2085
6
yuh
1819
7
h_tanaka
1682
8
red
1571
9
mcontact
1351
10
tsuji
958
11
fukap
907
12
shutta
835
13
tao_s
799
14 ramrun 789
15 karin 689
16 sumida 641
17
homan
633
18 DELIGHT 572
19
patapata
502
20
flealog
485


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.